/* Copyright 2009 Palm, Inc.  All rights reserved. */

var ValidationMojoService = Class.create( {
  initialize: function() {
  },
  
  progress: function(callback, callbackFail, sceneController) {
  	console.log("Updates App: validation progress");
    return sceneController.serviceRequest(ValidationMojoService.identifier, {
      method: 'Progress',
			parameters: { subscribe: true },
			onSuccess: callback,
			onFailure: callbackFail
    });
  }
});

ValidationMojoService.identifier = 'palm://com.palm.validation';
